// <auto-generated>
//     Generated by the protocol buffer compiler.  DO NOT EDIT!
//     source: command/charger/TriggerMessage.proto
// </auto-generated>
#pragma warning disable 1591, 0612, 3021, 8981
#region Designer generated code

using pb = global::Google.Protobuf;
using pbc = global::Google.Protobuf.Collections;
using pbr = global::Google.Protobuf.Reflection;
using scg = global::System.Collections.Generic;
namespace TriggerMessage {

  /// <summary>Holder for reflection information generated from command/charger/TriggerMessage.proto</summary>
  public static partial class TriggerMessageReflection {

    #region Descriptor
    /// <summary>File descriptor for command/charger/TriggerMessage.proto</summary>
    public static pbr::FileDescriptor Descriptor {
      get { return descriptor; }
    }
    private static pbr::FileDescriptor descriptor;

    static TriggerMessageReflection() {
      byte[] descriptorData = global::System.Convert.FromBase64String(
          string.Concat(
            "CiRjb21tYW5kL2NoYXJnZXIvVHJpZ2dlck1lc3NhZ2UucHJvdG8SD3RyaWdn",
            "ZXJfbWVzc2FnZSK5AgoVVHJpZ2dlck1lc3NhZ2VDb21tYW5kElAKEXJlcXVl",
            "c3RlZF9tZXNzYWdlGAEgASgOMjUudHJpZ2dlcl9tZXNzYWdlLlRyaWdnZXJN",
            "ZXNzYWdlQ29tbWFuZC5NZXNzYWdlVHJpZ2dlchIZCgxjb25uZWN0b3JfaWQY",
            "AiABKAVIAIgBASKhAQoOTWVzc2FnZVRyaWdnZXISFAoQQm9vdE5vdGlmaWNh",
            "dGlvbhAAEiEKHURpYWdub3N0aWNzU3RhdHVzTm90aWZpY2F0aW9uEAESHgoa",
            "RmlybXdhcmVTdGF0dXNOb3RpZmljYXRpb24QAhINCglIZWFydGJlYXQQAxIP",
            "CgtNZXRlclZhbHVlcxAEEhYKElN0YXR1c05vdGlmaWNhdGlvbhAFQg8KDV9j",
            "b25uZWN0b3JfaWQivAEKHVRyaWdnZXJNZXNzYWdlQ29tbWFuZFJlc3BvbnNl",
            "ElMKBnN0YXR1cxgBIAEoDjJDLnRyaWdnZXJfbWVzc2FnZS5UcmlnZ2VyTWVz",
            "c2FnZUNvbW1hbmRSZXNwb25zZS5UcmlnZ2VyTWVzc2FnZVN0YXR1cyJGChRU",
            "cmlnZ2VyTWVzc2FnZVN0YXR1cxIMCghBY2NlcHRlZBAAEgwKCFJlamVjdGVk",
            "EAESEgoOTm90SW1wbGVtZW50ZWQQAkKMAQohY29tLmNvZGlibHkubW9kZWwu",
            "Y29tbWFuZC5jaGFyZ2VyQhNUcmlnZ2VyTWVzc2FnZVByb3RvygIhRG9tYWlu",
            "TW9kZWxcUHJvdG9cQ29tbWFuZFxDaGFyZ2Vy4gItRG9tYWluTW9kZWxcUHJv",
            "dG9cQ29tbWFuZFxDaGFyZ2VyXEdQQk1ldGFkYXRhYgZwcm90bzM="));
      descriptor = pbr::FileDescriptor.FromGeneratedCode(descriptorData,
          new pbr::FileDescriptor[] { },
          new pbr::GeneratedClrTypeInfo(null, null, new pbr::GeneratedClrTypeInfo[] {
            new pbr::GeneratedClrTypeInfo(typeof(global::TriggerMessage.TriggerMessageCommand), global::TriggerMessage.TriggerMessageCommand.Parser, new[]{ "RequestedMessage", "ConnectorId" }, new[]{ "ConnectorId" }, new[]{ typeof(global::TriggerMessage.TriggerMessageCommand.Types.MessageTrigger) }, null, null),
            new pbr::GeneratedClrTypeInfo(typeof(global::TriggerMessage.TriggerMessageCommandResponse), global::TriggerMessage.TriggerMessageCommandResponse.Parser, new[]{ "Status" }, null, new[]{ typeof(global::TriggerMessage.TriggerMessageCommandResponse.Types.TriggerMessageStatus) }, null, null)
          }));
    }
    #endregion

  }
  #region Messages
  public sealed partial class TriggerMessageCommand : pb::IMessage<TriggerMessageCommand>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<TriggerMessageCommand> _parser = new pb::MessageParser<TriggerMessageCommand>(() => new TriggerMessageCommand());
    private pb::UnknownFieldSet _unknownFields;
    private int _hasBits0;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<TriggerMessageCommand> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::TriggerMessage.TriggerMessageReflection.Descriptor.MessageTypes[0]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public TriggerMessageCommand() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public TriggerMessageCommand(TriggerMessageCommand other) : this() {
      _hasBits0 = other._hasBits0;
      requestedMessage_ = other.requestedMessage_;
      connectorId_ = other.connectorId_;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public TriggerMessageCommand Clone() {
      return new TriggerMessageCommand(this);
    }

    /// <summary>Field number for the "requested_message" field.</summary>
    public const int RequestedMessageFieldNumber = 1;
    private global::TriggerMessage.TriggerMessageCommand.Types.MessageTrigger requestedMessage_ = global::TriggerMessage.TriggerMessageCommand.Types.MessageTrigger.BootNotification;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public global::TriggerMessage.TriggerMessageCommand.Types.MessageTrigger RequestedMessage {
      get { return requestedMessage_; }
      set {
        requestedMessage_ = value;
      }
    }

    /// <summary>Field number for the "connector_id" field.</summary>
    public const int ConnectorIdFieldNumber = 2;
    private int connectorId_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int ConnectorId {
      get { if ((_hasBits0 & 1) != 0) { return connectorId_; } else { return 0; } }
      set {
        _hasBits0 |= 1;
        connectorId_ = value;
      }
    }
    /// <summary>Gets whether the "connector_id" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasConnectorId {
      get { return (_hasBits0 & 1) != 0; }
    }
    /// <summary>Clears the value of the "connector_id" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearConnectorId() {
      _hasBits0 &= ~1;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as TriggerMessageCommand);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(TriggerMessageCommand other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (RequestedMessage != other.RequestedMessage) return false;
      if (ConnectorId != other.ConnectorId) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (RequestedMessage != global::TriggerMessage.TriggerMessageCommand.Types.MessageTrigger.BootNotification) hash ^= RequestedMessage.GetHashCode();
      if (HasConnectorId) hash ^= ConnectorId.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (RequestedMessage != global::TriggerMessage.TriggerMessageCommand.Types.MessageTrigger.BootNotification) {
        output.WriteRawTag(8);
        output.WriteEnum((int) RequestedMessage);
      }
      if (HasConnectorId) {
        output.WriteRawTag(16);
        output.WriteInt32(ConnectorId);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (RequestedMessage != global::TriggerMessage.TriggerMessageCommand.Types.MessageTrigger.BootNotification) {
        output.WriteRawTag(8);
        output.WriteEnum((int) RequestedMessage);
      }
      if (HasConnectorId) {
        output.WriteRawTag(16);
        output.WriteInt32(ConnectorId);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (RequestedMessage != global::TriggerMessage.TriggerMessageCommand.Types.MessageTrigger.BootNotification) {
        size += 1 + pb::CodedOutputStream.ComputeEnumSize((int) RequestedMessage);
      }
      if (HasConnectorId) {
        size += 1 + pb::CodedOutputStream.ComputeInt32Size(ConnectorId);
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(TriggerMessageCommand other) {
      if (other == null) {
        return;
      }
      if (other.RequestedMessage != global::TriggerMessage.TriggerMessageCommand.Types.MessageTrigger.BootNotification) {
        RequestedMessage = other.RequestedMessage;
      }
      if (other.HasConnectorId) {
        ConnectorId = other.ConnectorId;
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 8: {
            RequestedMessage = (global::TriggerMessage.TriggerMessageCommand.Types.MessageTrigger) input.ReadEnum();
            break;
          }
          case 16: {
            ConnectorId = input.ReadInt32();
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 8: {
            RequestedMessage = (global::TriggerMessage.TriggerMessageCommand.Types.MessageTrigger) input.ReadEnum();
            break;
          }
          case 16: {
            ConnectorId = input.ReadInt32();
            break;
          }
        }
      }
    }
    #endif

    #region Nested types
    /// <summary>Container for nested types declared in the TriggerMessageCommand message type.</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static partial class Types {
      public enum MessageTrigger {
        [pbr::OriginalName("BootNotification")] BootNotification = 0,
        [pbr::OriginalName("DiagnosticsStatusNotification")] DiagnosticsStatusNotification = 1,
        [pbr::OriginalName("FirmwareStatusNotification")] FirmwareStatusNotification = 2,
        [pbr::OriginalName("Heartbeat")] Heartbeat = 3,
        [pbr::OriginalName("MeterValues")] MeterValues = 4,
        [pbr::OriginalName("StatusNotification")] StatusNotification = 5,
      }

    }
    #endregion

  }

  public sealed partial class TriggerMessageCommandResponse : pb::IMessage<TriggerMessageCommandResponse>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<TriggerMessageCommandResponse> _parser = new pb::MessageParser<TriggerMessageCommandResponse>(() => new TriggerMessageCommandResponse());
    private pb::UnknownFieldSet _unknownFields;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<TriggerMessageCommandResponse> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::TriggerMessage.TriggerMessageReflection.Descriptor.MessageTypes[1]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public TriggerMessageCommandResponse() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public TriggerMessageCommandResponse(TriggerMessageCommandResponse other) : this() {
      status_ = other.status_;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public TriggerMessageCommandResponse Clone() {
      return new TriggerMessageCommandResponse(this);
    }

    /// <summary>Field number for the "status" field.</summary>
    public const int StatusFieldNumber = 1;
    private global::TriggerMessage.TriggerMessageCommandResponse.Types.TriggerMessageStatus status_ = global::TriggerMessage.TriggerMessageCommandResponse.Types.TriggerMessageStatus.Accepted;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public global::TriggerMessage.TriggerMessageCommandResponse.Types.TriggerMessageStatus Status {
      get { return status_; }
      set {
        status_ = value;
      }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as TriggerMessageCommandResponse);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(TriggerMessageCommandResponse other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (Status != other.Status) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (Status != global::TriggerMessage.TriggerMessageCommandResponse.Types.TriggerMessageStatus.Accepted) hash ^= Status.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (Status != global::TriggerMessage.TriggerMessageCommandResponse.Types.TriggerMessageStatus.Accepted) {
        output.WriteRawTag(8);
        output.WriteEnum((int) Status);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (Status != global::TriggerMessage.TriggerMessageCommandResponse.Types.TriggerMessageStatus.Accepted) {
        output.WriteRawTag(8);
        output.WriteEnum((int) Status);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (Status != global::TriggerMessage.TriggerMessageCommandResponse.Types.TriggerMessageStatus.Accepted) {
        size += 1 + pb::CodedOutputStream.ComputeEnumSize((int) Status);
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(TriggerMessageCommandResponse other) {
      if (other == null) {
        return;
      }
      if (other.Status != global::TriggerMessage.TriggerMessageCommandResponse.Types.TriggerMessageStatus.Accepted) {
        Status = other.Status;
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 8: {
            Status = (global::TriggerMessage.TriggerMessageCommandResponse.Types.TriggerMessageStatus) input.ReadEnum();
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 8: {
            Status = (global::TriggerMessage.TriggerMessageCommandResponse.Types.TriggerMessageStatus) input.ReadEnum();
            break;
          }
        }
      }
    }
    #endif

    #region Nested types
    /// <summary>Container for nested types declared in the TriggerMessageCommandResponse message type.</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static partial class Types {
      public enum TriggerMessageStatus {
        [pbr::OriginalName("Accepted")] Accepted = 0,
        [pbr::OriginalName("Rejected")] Rejected = 1,
        [pbr::OriginalName("NotImplemented")] NotImplemented = 2,
      }

    }
    #endregion

  }

  #endregion

}

#endregion Designer generated code
